Subject: RE: Plausibility of sendmail?
From: Larry Hall <[email-masked]>
To: "AG" <[email-masked]>, <[email-masked]>
Cc: "\"Joaquin\"" <[email-masked]>, <[email-masked]>
Date: Sun, 15 Feb 2004 14:08:43 -0500

At 02:17 AM 2/15/2004, AG you wrote:
>I didn't want to send this to the whole [email-masked] mailing list,
>but when I googled for "cygwin sendmail" Brian's email asking why
>in the world anyone would want to run sendmail on cygwin came up
>first.
>
>Here's why I am interested:
>
>(0) I am *not* interested in running a production mail server
>under CYGWIN
>
>(1) I want to use CYGWIN to allow me to use NMH to read email
>on my TabletPC running Windows XP TabletPC edition - and to finally
>allow me to get off Microsoft Outlook.
>
>I want to read email on my TabletPC because, well, I *like* the TabletPC
>even if it is not UNIX. And Linux does not yet run on the TabletPC and
>preserve many of the useful TabletPC features.
>
>(By the way, I do not want to run NMH on VMware on my TabletPC 
>because I have run VMware, in the past, and find that VMware is much 
>more of a hassle than CYGWIN.)
>
>NMH can be configured to send email directly to an SMTP server,
>but this is not sufficient to meet my needs
>   a) this is a TabletPC, a mobile device, which frequently is not 
>       connected.  I.e. outgoing mail needs to be queued and sent
>       later when the outgoing SMTP server is accessible.
>   b) I need to route email selectively: my company mail is not
>       supposed to go through my personal, non-company, ISP,
>       and vice versa.
>
>In my limited understanding I require more than just connecting
>to an SMTP server; I need a mail transport agent that can queue
>outgoing mail for several different outgoing mail servers.
>
>
>Why SendMail?   Yes, I know just how horrible sendmail is.
>I welcome advice on alternatives, such as exim or ssmtp.
>
>The main reason I am interested in using SendMail on CYGWIN
>with NMH is that NMH already has support for talking to SendMail:
>in /usr/local/nmh/mts.conf, you can just say "SendMail", and it is
>supposed to work. 
>
>Yes, that leaves the ugly job of doing a sendmail.cf;
>but my configuration is simple enough that I can crib most of
>it.
>
>Now, I have never used ssmtp or exim.  Are they really drop in replacements
>for sendmail from the commandline / protocol level?   (Not from the
>sendmail.cf file level.) 
>
>I.e. if I configure NMH by putting the path to exim in the SendMail entry in mts.conf,
>will it just work?

Sounds to me like you want to read up on exim <http://www.exim.org/> to 
see what it can do and if it will work for you.  Discussion of exim's 
capabilities compared to sendmail is really off-topic for this list.

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/